//+------------------------------------------------------------------+
//|                                                         SDBN.mq4 |
//|                    Copyright 2022, MetaQuotes Software Corp.SDBN |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2022, MetaQuotes Software Corp.SDBN"
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_plots   1



//--- plot TK1
#property indicator_label1  "TK1"
#property indicator_type1   DRAW_LINE
#property indicator_color1  clrPlum
#property indicator_style1  STYLE_SOLID
#property indicator_width1  2

//--- input parameters
extern string Input_TK = "<<<-----Input TK----->>>";
input int      TK1=9;

//--- indicator buffers
double         TK1Buffer[];



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping

   SetIndexBuffer(0,TK1Buffer);
   SetIndexLabel (0,"TK =" + TK1);


//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
      int limit = rates_total - prev_calculated;
      if(limit == 0)limit++;
      for(int i=0;i<limit;i++)
       {
       ///TK
       double TK_1 = iIchimoku(NULL,0,TK1,1,1,MODE_TENKANSEN,i);
       TK1Buffer[i]=TK_1;
       

        
       }
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
